> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/authorization/update-account/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update an account PATCH https://example.itential.io/authorization/accounts/{accountId} Content-Type: application/json Updates an account. Reference: https://docs.itential.com/itential-cloud/api-reference/authorization/update-account ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `accountId` (string, required) — The individual account to update. ### Body (application/json) This endpoint expects an object. - `updates` (object, optional) - `inactive` (boolean, optional) — Setting for whether account is active or not - `email` (string, optional) — Email for user - `assignedRoles` (list of object, optional) — Roles assigned to this account - `roleId` (string, optional) — String representation of a MongoDB ObjectId - `memberOf` (list of object, optional) — Groups which this account is a part of - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not - `groupId` (string, optional) — String representation of a MongoDB ObjectId ## Response ### 200 The output of the account update. - `status` (enum, optional) — The status of the API request. - Allowed values: `OK`, `Created` - `message` (string, optional) — Message containing either confirmation of the operation or the reason for the failure of the operation. - `data` (object, optional) — This is the schema for an IAP account stored in Mongo - `provenance` (string, required) — AAA provider where account originated - `username` (string, required) — Username for account - `firstname` (string, required) — The user's first name - `memberOf` (list of object, required) — Groups which this account is a part of - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not - `groupId` (string, optional) — String representation of a MongoDB ObjectId - `assignedRoles` (list of object, required) — Roles assigned to this account - `roleId` (string, optional) — String representation of a MongoDB ObjectId - `inactive` (boolean, required) — Setting for whether account is active or not - `gitTokens` (object, required) — Tokens used when interacting with Git APIs and features - `GitHub` (string, optional) — Personal access token for GitHub - `GitLab` (string, optional) — Personal access token for GitLab - `lastLogin` (string, optional) — Date and time when the user last logged in - `sso` (boolean, optional) — Whether this is an SSO user - `nameID` (string, optional) — DEPRECATED: Identifier for SSO account. - `_meta` (object, optional) - `created` (string, optional) — When the account was created - `updated` (string, optional) — When the account was last updated - `email` (string, optional) — Email for user - `isServiceAccount` (boolean, optional) — Value denoting if an account does not reflect a human user - `loggedIn` (boolean, optional) — Property used in the getAccounts API to indicate a user is currently logged in ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "OK", "message": "A sample success message", "data": { "provenance": "Local AAA", "username": "john_doe", "firstname": "John", "memberOf": [ { "aaaManaged": true, "groupId": "5cb7b531d06cceb89fd21b1c" } ], "assignedRoles": [ { "roleId": "5cb7b531d06cceb89fd21b1c" } ], "inactive": true, "gitTokens": { "GitHub": "string", "GitLab": "string" }, "lastLogin": "2018-08-02T15:56:12.912Z", "sso": true, "nameID": "string", "_meta": { "created": "2018-08-02T15:56:12.912Z", "updated": "2018-08-02T15:56:12.912Z" }, "email": "name@email.com", "isServiceAccount": true, "loggedIn": true } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/authorization/accounts/accountId" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/authorization/accounts/accountId'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/authorization/accounts/accountId" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/authorization/accounts/accountId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://example.itential.io/authorization/accounts/accountId") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://example.itential.io/authorization/accounts/accountId', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/authorization/accounts/accountId"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/accounts/accountId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```